html, body {
    font-family: 'Segoe UI', Tahoma, sans-serif;
    height: 100%;
    margin: 0; /* Ensures no default margin is interfering */
    padding: 0;
    overflow: auto;
    background-color: #ABB2B9;
    color: white;
}

.site-container {
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* Ensures the content takes at least the full height of the viewport */
}

main {
    margin-left: 10px;
    flex: 1; /* Allows the main content area to take up all available space */
}

header ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    background-color: #1C2833;
}

header li {
    float: left;
}

header li a {
    display: block;
    color: white;
    text-align: center;
    padding: 16px;
    text-decoration: none;
}

header li a:hover {
    background-color: #17202A;
}

footer {
    background-color: #1C2833;
    color: white;
    margin-top: 20px;
    padding: 16px;
    text-align: center;
}

.error {
    color: #FF0000;
}